www.cendio.com
Bug 5717 - module-tunnel-autoconnect loads both sink+source modules when one sink/source module are unloaded
: module-tunnel-autoconnect loads both sink+source modules when one sink/source...
Status: CLOSED FIXED
: ThinLinc
Sound
: trunk
: PC Unknown
: P2 Normal
: 4.6.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2015-11-17 17:31 by
Modified: 2016-04-12 12:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-11-17 17:31:26
In some circumstances*, this can lead to PulseAudio running out of file
descriptors, entering a tight loop and spewing about ~1MB/s data into
xinit.log. We should probably only reload both modules if both modules are
actually unloaded. Each module consumes about ~10 file descriptors and
PulseAudio limits itself to 256 file descriptors, so it's fairly easy to reach
that limit.

*: Issue 17983, or by "pactl unload-module" on loaded sink or source modules.

Typical error messages in xinit.log:

> E: [tunnel-source] module-tunnel-source-new.c: Stream failed: Entity killed
> E: [tunnel-source] module-tunnel-source-new.c: Stream failed: Invalid argument
[repeats ~20 times]
> E: [tunnel-source] shm.c: shm_open() failed: Too many open files
[repeats ~400 times]
> W: [tunnel-source] authkey.c: Failed to open cookie file '/var/opt/thinlinc/sessions/user/33/pulse-cookie': Too many open files
> W: [tunnel-source] authkey.c: Failed to load authentication key '/var/opt/thinlinc/sessions/user/33/pulse-cookie': Too many open files
> W: [tunnel-source] client-conf.c: Failed to load cookie from /var/opt/thinlinc/sessions/user/33/pulse-cookie (configured with environment variable PULSE_COOKIE): Too many open files
> W: [tunnel-source] authkey.c: Failed to open cookie file '/var/opt/thinlinc/sessions/user/33/pulse-cookie': Too many open files
> W: [tunnel-source] authkey.c: Failed to load authentication key '/var/opt/thinlinc/sessions/user/33/pulse-cookie': Too many open files
> W: [tunnel-source] client-conf.c: Failed to load cookie from /var/opt/thinlinc/sessions/user/33/pulse-cookie (configured by the application): Too many open files
> W: [tunnel-source] authkey.c: Failed to open cookie file '/home/user/.config/pulse/cookie': Too many open files
> W: [tunnel-source] authkey.c: Failed to load authentication key '/home/user/.config/pulse/cookie': Too many open files
> W: [tunnel-source] authkey.c: Failed to open cookie file '/home/user/.config/pulse/cookie': Too many open files
> W: [tunnel-source] authkey.c: Failed to load authentication key '/home/user/.config/pulse/cookie': Too many open files
> E: [tunnel-source] client-conf.c: Failed to load cookie file from cookie: Too many open files
------- Comment #2 From cendio 2015-11-20 16:10:27 -------
Verified using thinlinc build 4948.

The new tunnel-autoconnect module behaves properly when a sink/source has been
unloaded. An unloaded module will silently be loaded upon a reconnection to a
session.